## org.eclipse.ocl.expressions.operations
Class OperationCallExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.OperationCallExpOperations

    public class OperationCallExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'Operation Call Exp' model objects.

The following operations are supported:

- `Check Arguments Conform`
- `Check Argument Count`

Constructor Summary
`protected` `OperationCallExpOperations()`

Method Summary

`static

`<C,O> boolean`

`

`checkArgumentCount(OperationCallExp<C,O> operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
arguments->size() = refParams->size()

`static

`<C,O> boolean`

`

`checkArgumentsConform(OperationCallExp<C,O> operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
arguments->forall (a | a.type.conformsTo (self.refParams->at (arguments->indexOf (a)).type))

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationCallExpOperations

    protected OperationCallExpOperations()

Method Detail

### checkArgumentsConform

    public static <C,O> boolean checkArgumentsConform(OperationCallExp<C,O> operationCallExp,
                                                      DiagnosticChain diagnostics,
                                                      Map<Object,Object> context)

  arguments->forall (a | a.type.conformsTo (self.refParams->at (arguments->indexOf (a)).type))

  Parameters:
    `operationCallExp` - The receiving 'Operation Call Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkArgumentCount

    public static <C,O> boolean checkArgumentCount(OperationCallExp<C,O> operationCallExp,
                                                   DiagnosticChain diagnostics,
                                                   Map<Object,Object> context)

  arguments->size() = refParams->size()

  Parameters:
    `operationCallExp` - The receiving 'Operation Call Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.